Index: dist/configure.ac
===================================================================
--- dist.orig/configure.ac
+++ dist/configure.ac
@@ -457,12 +457,16 @@ if test "$db_cv_mingw" = "yes"; then
 	OSDIR=os_windows
 	PATH_SEPARATOR="\\\\/:"
 
-	AC_DEFINE(DB_WIN32)
+	# For some reason, autoheader chokes if this is defined without
+	# a description.
+	AC_DEFINE([DB_WIN32], [1], [Some Windows crap.])
 	AC_DEFINE(STDC_HEADERS)
 else
 	OSDIR=os
 	PATH_SEPARATOR="/"
-	AC_DEFINE(HAVE_SYSTEM_INCLUDE_FILES)
+	# For some reason, autoheader chokes if this is defined without
+	# a description.
+	AC_DEFINE([HAVE_SYSTEM_INCLUDE_FILES], [1], [More Windows crap.])
 fi
 
 # Checks for include files, structures, C types.
Index: dist/s_config
===================================================================
--- dist.orig/s_config
+++ dist/s_config
@@ -3,21 +3,15 @@
 #
 # Build the autoconfiguration files.
 
-trap 'rm -f aclocal.m4 ; exit 0' 0 1 2 3 13 15
+trap 'rm -f aclocal.m4' 0 1 2 3 13 15
 
 . ./RELEASE
 
-echo "autoconf: building aclocal.m4..."
-cat aclocal/*.m4 aclocal_java/*.m4 > aclocal.m4
-
-echo "autoconf: running autoheader to build config.hin..."
-rm -f config.hin
-autoheader
-chmod 444 config.hin
-
-echo "autoconf: running autoconf to build configure"
-rm -f configure
-autoconf
+# We need to run our libtoolize to get a libtool that understands
+# -stdlib, so use autoreconf and pass autoreconf.{pre_,post_}args as the
+# arguments to this script.
+rm -f config.hin configure
+autoreconf "$@" || exit $?
 
 # Edit version information we couldn't pre-compute.
 sed -e "s/__EDIT_DB_VERSION_MAJOR__/$DB_VERSION_MAJOR/g" \
